/user_group/{userGroupID}/user

List users for a user group

Retrieves all users associated with a specific user group.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
userGroupIDintegerYesUser Group ID
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/user_group/123/user' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200List of users
array<app.SmallUser>application/json
Example
[
  {
    "avatar": "string",
    "crafts": [
      {...}
    ],
    "deleted": 123,
    "email": "string",
    "first_name": "string",
    "id": 123,
    "last_name": "string",
    "name": "string"
  }
]
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}